Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers
Interface RevisionListener

All Known Subinterfaces:
  EntityTrackingRevisionListener

    public interface RevisionListener

An implementation of this class, having a no-arg constructor, should be passed as an argument to the `RevisionEntity` annotation.

Method Summary
`void` | `newRevision(Object revisionEntity)` Called when a new revision is created.

Method Detail

### newRevision

    void newRevision(Object revisionEntity)

  Called when a new revision is created.

  Parameters:
    `revisionEntity` - An instance of the entity annotated with `RevisionEntity`, which will be persisted after this method returns. All properties on this entity that are to be persisted should be set by this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.